Bug 66 - Automatic stats dumping stops after a database reload
Automatic stats dumping stops after a database reload
Status: CLOSED FIXED
Product: NSD
Classification: Unclassified
Component: NSD Code
1.2.0
All All
: P2 normal
Assigned To: NSD team
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-06 10:55 CEST by Erik Rozendaal
Modified: 2003-10-30 16:04 CET (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Rozendaal 2003-08-06 10:55:24 CEST
Hi,

Recently I have installed nsd 1.2.2. I have enabled syslog logging using -s
switch. nsd was logging fine and suddenly at some point it stopped logging.
After some digging I found this in logs:

Aug  5 15:03:03 admin nsd[26353]: signal 1 received, reloading...
Aug  5 15:03:03 admin nsd[28003]: loaded /var/cache/nsd/db/nsd.db, 839 entries
Aug  5 15:03:03 admin nsd[26355]: NSTATS 1060095783 1060081224 A=1 NS=1 TXT=5
Aug  5 15:03:03 admin nsd[26355]: XSTATS 1060095783 1060081224 RR=0 RNXD=0
RFwdR=0 RDupR=0 RFail=0 RFErr=0 RErr=0 RAXFR=0 RLame=0 ROpts=0 SSysQ=0 SAns=7
SFwdQ=0 SDupQ=0 SErr=0 RQ=7 RIQ=0 RFwdQ=0 RDupQ=0 RTCP=0 SFwdR=0 SFail=0 SFErr=0
SNaAns=3 SNXD=0 RUQ=0 RURQ=0 RUXFR=0 RUUpd=0
Aug  5 15:03:03 admin nsd[26356]: XSTATS 1060095783 1060081224 RR=0 RNXD=0
RFwdR=0 RDupR=0 RFail=0 RFErr=0 RErr=0 RAXFR=0 RLame=0 ROpts=0 SSysQ=0 SAns=0
SFwdQ=0 SDupQ=0 SErr=0 RQ=0 RIQ=0 RFwdQ=0 RDupQ=0 RTCP=1 SFwdR=0 SFail=0 SFErr=0
SNaAns=0 SNXD=0 RUQ=0 RURQ=0 RUXFR=0 RUUpd=0
<logging stopped>

It seems like nsd stops logging when you do reload (send HUP signal).
Regards,

Marcin Deranek
Comment 1 Erik Rozendaal 2003-08-21 16:50:40 CEST
Fixed in the NSD-1.2 development branch.